"""
tiled for some reason keeps duplicating the tile properties. This cleans that up.
"""
import fileinput
import os
import sys

directory = '.'
if len(sys.argv) > 1:
    directory = sys.argv[1]

lastline = ''
level_files = [file for file in os.listdir(directory) if file.lower().endswith('.tmx')]
for line in fileinput.input(level_files, inplace=True):
    if (line != lastline) or (line.find('<property') == -1):
        sys.stdout.write(line)
    lastline = line

# also change it to unix-style line endings
for file in level_files:
    contents = open(file, "rb").read()
    newcontents = contents.replace("\r\n", "\n")
    if newcontents != contents:
        f = open(file, "wb")
        f.write(newcontents)
        f.close()

