﻿package stego.behavior
{
    import stego.GameObject;
    import stego.gameobject.PlatformerCharacter;
    import stego.util.InputUtil;

    /**
     * ...
     * @author Mike Meyer
     */
    public class Base implements IBehavior
    {
        public function get character() : GameObject { return _character; }
        public function set character(value:GameObject) : void { _character = value; }
        protected var _character:GameObject;

        protected var _inputUtil:InputUtil;
        public function get inputUtil():InputUtil { return _inputUtil; }
        public function set inputUtil(value:InputUtil):void
        {
            _inputUtil = value;
        }

        public function Base(inputUtil:InputUtil)
        {
            _inputUtil = inputUtil;
        }

        /**
         * process one frame
         * Override this!
         */
        public function update(elapsedTime:Number):void
        {
        }
    }

}
