package stego.util.collision
{
    import flash.geom.Rectangle;

	/**
     * class for representing collision volumes w/ userdata
     * @author Michael Meyer
     */
    public class HitBox extends Rectangle
    {
        public var userData:String;
        public var color:uint;

        // make this Hitbox into a clone of another
        public function makeIntoCopyOf(other:HitBox):void
        {
            userData = other.userData;
            color = other.color;
            x = other.x;
            y = other.y;
            width = other.width;
            height = other.height;
        }
    }

}