﻿package ludumdare19
{
    import ludumdare19.gamestate.Title;
    import stego.Game;
    import stego.util.music.Song;

    /// entry point for LudumDare19 (after preloader)
    public class LudumDare19 extends Game
    {
        public override function init(stageWidth:Number, stageHeight:Number):void
        {
            super.init(stageWidth, stageHeight);

            // general config'ing
            physics.gravity = 350;

            music.songList = [ new Song("http://www.excitemike.com/games/1958bnl/happytimes.mp3", null, null, null, 2.0),
                               new Song("http://www.excitemike.com/games/1958bnl/splorintime.mp3", null, null, null, 2.0) ];
            music.startNewMusic();

            // go to your first gamestate!
            changeGameState(new Title());
        }
    }
}
