package __PACKAGENAME__.sample
{
    import flash.display.Sprite;
    import stego.constants.Colors;
    import stego.GameInterface;
    import stego.GameObject;
    import stego.util.collision.CollisionInfo;

    public class SamplePlatform extends GameObject
    {
        protected var _hasGraphics:Boolean = false;

        public override function init(game:GameInterface):void
        {
            super.init(game);

            createGraphics();
        }
        protected function createGraphics():void
        {
            if (!_hasGraphics)
            {
                _hasGraphics = true;
                graphics.beginFill( Colors.DESAT_PURPLE );
                graphics.drawRect( 0, 0, 20, 20 );
                graphics.endFill();
            }
        }

        /**
         * platforms do not move in response to collisions
         * @param	ci
         * @param	object
         */
        override public function collisionOccurred(ci:CollisionInfo, object:GameObject):void
        {
        }
    }
}
