﻿package stego.behavior
{
    import stego.GameObject;
    /**
     * interface that the different behaviors need to implement
     * @author Mike Meyer
     */
    public interface IBehavior
    {
        function get character() : GameObject
        function set character(value:GameObject) : void

        /**
         * process one frame
         */
        function update(elapsedTime:Number):void
    }

}
